Radicas Docs
API referenceGenerated

Usage Storage

GET
/usage/storage

Stored-data snapshot + effective retention + deletion state (ADR-018).

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/usage/storage"
{  "computed_at": "2019-08-24T14:15:22Z",  "surfaces": [    {      "name": "string",      "rows": 0,      "est_bytes": 0,      "oldest": "string",      "newest": "string"    }  ],  "total_rows": 0,  "total_est_bytes": 0,  "retention": {    "effective_days": 0,    "forever": true,    "source": "override",    "plan_id": "string",    "plan_retention_days": 0,    "override": 0  },  "active_deletion": {    "request_id": "string",    "scope": "range",    "status": "running",    "range_start": "2019-08-24T14:15:22Z",    "range_end": "2019-08-24T14:15:22Z",    "detail": {},    "created_at": "2019-08-24T14:15:22Z",    "finished_at": "2019-08-24T14:15:22Z",    "requested_by": "string"  },  "recent_deletions": []}